import type { AppRouteModule } from '/@/router/types'

import { LAYOUT } from '/@/router/constant'
import { t } from '/@/hooks/web/useI18n'

const setup: AppRouteModule = {
    path: '/example',
    name: 'Example',
    component: LAYOUT,
    redirect: '/example/index',
    meta: {
        orderNo: 90001,
        icon: 'healthicons:virus-lab-research-test-tube-outline',
        title: t('routes.demo.example.example'),
    },
    children: [
        {
            path: 'index',
            name: 'ExamplePage',
            component: () => import('/@/views/demo/example/index.vue'),
            meta: {
                title: t('routes.demo.example.api'),
                icon: 'healthicons:virus-lab-research-test-tube-outline',
            },
        },
        {
            path: 'hide-layout',
            name: 'HideLayoutPage',
            component: () => import('/@/views/demo/example/index.vue'),
            meta: {
                title: t('routes.demo.example.hideLayout'),
                icon: 'healthicons:virus-lab-research-test-tube-outline',
                hideLayout: true,
            },
        },
        {
            path: 'auto-full-screen',
            name: 'AutoFullScreenPage',
            component: () => import('/@/views/demo/example/index.vue'),
            meta: {
                title: t('routes.demo.example.fullScreen'),
                icon: 'healthicons:virus-lab-research-test-tube-outline',
                hideLayout: true,
                autoFullScreen: true,
            },
        },
    ],
}

export default setup
